import 'package:flutter/material.dart';
import 'package:flutter_vonage/flutter_vonage.dart';

/// 聊天界面
class ChatPage extends StatefulWidget {
  @override
  State<StatefulWidget> createState() {
    return _ChatPageState();
  }
}

class _ChatPageState extends State<ChatPage> {
  List<String> mList = [];
  late VonageController _controller;
  late TextEditingController _editingController;

  @override
  void initState() {
    super.initState();
    _controller = VonageController();
    _editingController = TextEditingController();
    _controller.addVonageCallback("chat", (type, info) {
      // TODO 接受聊天内容
    });
  }

  @override
  void dispose() {
    super.dispose();
    _controller.removeVonageCallback("chat");
  }

  @override
  Widget build(BuildContext context) {
    return Scaffold(
      backgroundColor: Colors.white,
      appBar: AppBar(title: Text("聊天演示")),
      body: Column(
        children: [
          Expanded(
            child: ListView.builder(
              itemCount: mList.length,
              itemBuilder: (ctx, index) => Text(mList[index]),
            ),
          ),
          Row(
            children: [
              Expanded(
                child: TextField(
                  keyboardType: TextInputType.text,
                  maxLength: 12,
                  cursorColor: Color(0xFF28292C),
                  cursorWidth: 2,
                  cursorRadius: Radius.circular(1),
                  controller: _editingController,
                  decoration: InputDecoration(
                    counterText: '',
                    border: UnderlineInputBorder(borderSide: BorderSide.none),
                    focusColor: Color(0xFF28292C),
                    hintText: '输入内容',
                    hintStyle: TextStyle(
                      fontSize: 16,
                      color: Color(0xFFBDBDBE),
                    ),
                  ),
                ),
              ),
              TextButton(
                onPressed: () => sendMessage,
                child: Text('发送'),
              ),
            ],
          ),
        ],
      ),
    );
  }

  sendMessage() async {
    var params = MessageParams(0);
    params.content = _editingController.text;
    await _controller.sendMessage(params);
  }
}
