/// 初始化参数
class InitParams {
  bool openLog = true;

  InitParams();

  Map<String, dynamic> toJson() {
    final Map<String, dynamic> data = new Map<String, dynamic>();
    data['openLog'] = this.openLog;
    return data;
  }
}

/// 登录参数
class LoginParams {
  String phone; // 手机号
  String jwtToken; // token

  LoginParams(this.phone, this.jwtToken);

  Map<String, dynamic> toJson() {
    final Map<String, dynamic> data = new Map<String, dynamic>();
    data['phone'] = this.phone;
    data['jwtToken'] = this.jwtToken;
    return data;
  }
}

// 推送token参数
class PushTokenParams {
  String pushToken;

  PushTokenParams(this.pushToken);

  Map<String, dynamic> toJson() {
    final Map<String, dynamic> data = new Map<String, dynamic>();
    data['pushToken'] = this.pushToken;
    return data;
  }
}

// 准备聊天参数
class ChatParams {
  String conversationId;

  ChatParams(this.conversationId);

  Map<String, dynamic> toJson() {
    final Map<String, dynamic> data = new Map<String, dynamic>();
    data['conversationId'] = this.conversationId;
    return data;
  }
}

/// 消息参数
class MessageParams {
  late int type; // 消息类型 0 txt、1 image、2 map
  String from = "";
  String to = "";
  late String content; // 当是图片或者地图类型时显示的图片链接
  double lat = 0;
  double lon = 0;

  MessageParams(this.type);

  Map<String, dynamic> toJson() {
    final Map<String, dynamic> data = new Map<String, dynamic>();
    data['type'] = this.type;
    data['from'] = this.from;
    data['to'] = this.to;
    data['content'] = this.content;
    data['lat'] = this.lat;
    data['lon'] = this.lon;
    return data;
  }
}

/// 拨号参数
class DialParams {
  late String type; // IN_APP , SERVER
  late String from;
  late String to;

  DialParams(this.type, this.from, this.to);

  Map<String, dynamic> toJson() {
    final Map<String, dynamic> data = new Map<String, dynamic>();
    data['type'] = this.type;
    data['from'] = this.from;
    data['to'] = this.to;
    return data;
  }
}

class MuteParams {
  bool mute;

  MuteParams(this.mute);

  Map<String, dynamic> toJson() {
    final Map<String, dynamic> data = new Map<String, dynamic>();
    data['mute'] = this.mute;
    return data;
  }
}

class SpeakParams {
  bool speak;

  SpeakParams(this.speak);

  Map<String, dynamic> toJson() {
    final Map<String, dynamic> data = new Map<String, dynamic>();
    data['speak'] = this.speak;
    return data;
  }
}

class RecordParams {
  bool record;

  RecordParams(this.record);

  Map<String, dynamic> toJson() {
    final Map<String, dynamic> data = new Map<String, dynamic>();
    data['record'] = this.record;
    return data;
  }
}

class DtmfParams {
  String dtmf;

  DtmfParams(this.dtmf);

  Map<String, dynamic> toJson() {
    final Map<String, dynamic> data = new Map<String, dynamic>();
    data['dtmf'] = this.dtmf;
    return data;
  }
}
